[Interest] Qt 5.9 and OpenSSL 1.1?

Thiago Macieira thiago.macieira at intel.com
Fri Mar 22 16:07:52 CET 2019


On Friday, 22 March 2019 03:15:45 PDT René J. V. Bertin wrote:
> Curious patch I see in Leap:
> https://build.opensuse.org/package/view_file/openSUSE:Leap:15.1:Update/libqt
> 5-qtbase/0001-Revert-Fail-faster-on-OpenSSL-1.1.patch?expand=1
> 
> Isn't there a specific config.tests/unix/openssl11/openssl.cpp test which is
> supposed to succeed while config.tests/openssl/openssl.cpp should fail
> against openssl 1.1 ? Or am I somehow missing the mentioned revert in the
> 5.10 branch?

Qt 5.10 and up do have a detection to see if you have 1.0 or 1.1. OpenSUSE has 
no need for that, since they know which version their distro has.

-- 
Thiago Macieira - thiago.macieira (AT) intel.com
  Software Architect - Intel System Software Products





More information about the Interest mailing list